Bug 483384 - netbeans : Unowned directories
netbeans : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netbeans (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Victor G. Vasilyev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-31 06:45 EST by Michael Schwendt
Modified: 2009-04-01 04:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 04:46:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-01-31 06:45:22 EST
One or more directories are not included within this
package and/or its sub-packages:

=> netbeans-6.5-1.fc11.src.rpm
=> netbeans-6.5-1.fc11.noarch (rawhide-development-i386)
/usr/share/netbeans

=> netbeans-6.5-1.fc11.src.rpm
=> netbeans-apisupport1-6.5-1.fc11.noarch (rawhide-development-i386)
/usr/share/netbeans

=> netbeans-6.5-1.fc11.src.rpm
=> netbeans-ide10-6.5-1.fc11.noarch (rawhide-development-i386)
/usr/share/netbeans

=> netbeans-6.5-1.fc11.src.rpm
=> netbeans-java2-6.5-1.fc11.noarch (rawhide-development-i386)
/usr/share/netbeans

=> netbeans-platform-6.5-4.fc11.src.rpm
=> netbeans-platform-6.5-4.fc11.noarch (rawhide-development-i386)
/usr/share/netbeans

=> netbeans-platform-6.5-4.fc11.src.rpm
=> netbeans-platform-harness-6.5-4.fc11.noarch (rawhide-development-i386)
/usr/share/netbeans

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n ^netbeans
Comment 1 Victor G. Vasilyev 2009-02-04 11:09:24 EST
The netbeans-platform package has been selected as an owner of the /usr/share/netbeans directory. 

The package has been updated. Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1103867

The rpm tool shows that the netbeans-platform package is the owner:
$ rpm -qf /usr/share/netbeans/
netbeans-platform-6.5-5.fc11.noarch
Comment 2 Victor G. Vasilyev 2009-02-05 02:45:44 EST
The netbeans package has been also updated. Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1106472

Now, the netbeans package and all its subpackages are explicitly depend on the owner of the /usr/share/netbeans directory, i.e the netbeans-platform package.

So, I hope, this bug is completely fixed.

Note You need to log in before you can comment on or make changes to this bug.